Index: admin/auth.php
===================================================================
--- admin/auth.php	(revision 2566)
+++ admin/auth.php	(revision 2720)
@@ -16,5 +16,5 @@
 if (isset($_SESSION['sess_user_id']))
 {
-	http::redirect('index.php');
+	http::redirect($core->adminurl->get('admin.home'));
 }
 
@@ -185,5 +185,5 @@
 		}
 
-		http::redirect('index.php');
+		http::redirect($core->adminurl->get('admin.home'));
 	}
 	catch (Exception $e)
@@ -243,5 +243,5 @@
 		}
 
-		http::redirect('index.php');
+		http::redirect($core->adminurl->get('admin.home'));
 	}
 	else
@@ -326,5 +326,5 @@
 <body id="dotclear-admin" class="auth">
 
-<form action="auth.php" method="post" id="login-screen">
+<form action="<?php echo $core->adminurl->get('admin.auth'); ?>" method="post" id="login-screen">
 <h1><?php echo html::escapeHTML(DC_VENDOR_NAME); ?></h1>
 
@@ -339,5 +339,5 @@
 if ($akey)
 {
-	echo '<p><a href="auth.php">'.__('Back to login screen').'</a></p>';
+	echo '<p><a href="'.$core->adminurl->get('admin.auth').'">'.__('Back to login screen').'</a></p>';
 }
 elseif ($recover)
@@ -356,5 +356,5 @@
 
 	'<div id="issue">'.
-	'<p><a href="auth.php">'.__('Back to login screen').'</a></p>'.
+	'<p><a href="'.$core->adminurl->get('admin.auth').'">'.__('Back to login screen').'</a></p>'.
 	'</div>';
 }
@@ -426,11 +426,11 @@
 		if ($safe_mode) {
 			echo
-			'<p><a href="auth.php" id="normal_mode_link">'.__('Get back to normal authentication').'</a></p>';
+			'<p><a href="'.$core->adminurl->get('admin.auth').'" id="normal_mode_link">'.__('Get back to normal authentication').'</a></p>';
 		} else {
 			echo '<p id="more"><strong>'.__('Connection issue?').'</strong></p>';
 			if ($core->auth->allowPassChange()) {
-				echo '<p><a href="auth.php?recover=1">'.__('I forgot my password').'</a></p>';
+				echo '<p><a href="'.$core->adminurl->get('admin.auth',array('recover' => 1)).'">'.__('I forgot my password').'</a></p>';
 			}
-			echo '<p><a href="auth.php?safe_mode=1" id="safe_mode_link">'.__('I want to log in in safe mode').'</a></p>';
+			echo '<p><a href="'.$core->adminurl->get('admin.auth',array('safe_mode' => 1)).'" id="safe_mode_link">'.__('I want to log in in safe mode').'</a></p>';
 		}
 
Index: admin/blog.php
===================================================================
--- admin/blog.php	(revision 2596)
+++ admin/blog.php	(revision 2720)
@@ -52,5 +52,5 @@
 		$core->callBehavior('adminAfterBlogCreate',$cur,$blog_id,$blog_settings);
 		dcPage::addSuccessNotice(sprintf(__('Blog "%s" successfully created'), html::escapeHTML($cur->blog_name)));
-		http::redirect('blog.php?id='.$cur->blog_id);
+		http::redirect($core->adminurl->get("admin.blog", array('id' => $cur->blog_id)));
 	}
 	catch (Exception $e)
@@ -71,5 +71,5 @@
 			array(
 				__('System') => '',
-				__('Blogs') => 'blogs.php',
+				__('Blogs') => $core->adminurl->get("admin.blogs"),
 				__('New blog') => ''
 			))
@@ -77,5 +77,5 @@
 
 	echo
-	'<form action="blog.php" method="post" id="blog-form">'.
+	'<form action="'.$core->adminurl->get("admin.blog").'" method="post" id="blog-form">'.
 
 	'<div>'.$core->formNonce().'</div>'.
Index: admin/blog_del.php
===================================================================
--- admin/blog_del.php	(revision 2566)
+++ admin/blog_del.php	(revision 2720)
@@ -44,5 +44,5 @@
 			dcPage::addSuccessNotice(sprintf(__('Blog "%s" successfully deleted'), html::escapeHTML($blog_name)));
 
-			http::redirect('blogs.php');
+			http::redirect($core->adminurl->get("admin.blogs"));
 		} catch (Exception $e) {
 			$core->error->add($e->getMessage());
@@ -55,5 +55,5 @@
 		array(
 			__('System') => '',
-			__('Blogs') => 'blogs.php',
+			__('Blogs') => $core->adminurl->get("admin.blogs"),
 			__('Delete a blog') => ''
 		))
@@ -69,5 +69,5 @@
 
 	echo
-	'<form action="blog_del.php" method="post">'.
+	'<form action="'.$core->adminurl->get("admin.blog.del").'" method="post">'.
 	'<div>'.$core->formNonce().'</div>'.
 	'<p><label for="pwd">'.__('Your password:').'</label> '.
Index: admin/blog_pref.php
===================================================================
--- admin/blog_pref.php	(revision 2702)
+++ admin/blog_pref.php	(revision 2720)
@@ -26,6 +26,6 @@
 	$blog_url = $core->blog->url;
 
-	$action = 'blog_pref.php';
-	$redir = 'blog_pref.php';
+	$action = $core->adminurl->get("admin.blog.pref");
+	$redir = $core->adminurl->get("admin.blog.pref");
 }
 else
@@ -55,6 +55,6 @@
 	}
 
-	$action = 'blog.php';
-	$redir = 'blog.php?id=%s';
+	$action = $core->adminurl->get("admin.blog");
+	$redir = $core->adminurl->get("admin.blog",array('id' => "%s"));
 }
 
@@ -281,5 +281,5 @@
 		array(
 			__('System') => '',
-			__('Blogs') => 'blogs.php',
+			__('Blogs') => $core->adminurl->get("admin.blogs"),
 			__('Blog settings').' : '.html::escapeHTML($blog_name) => ''
 		));
@@ -615,5 +615,5 @@
 	{
 		echo
-		'<form action="blog_del.php" method="post">'.
+		'<form action="'.$core->adminurl->get("admin.blog.del").'" method="post">'.
 		'<p><input type="submit" class="delete" value="'.__('Delete this blog').'" />'.
 		form::hidden(array('blog_id'),$blog_id).
@@ -647,5 +647,5 @@
 	{
 		if ($core->auth->isSuperAdmin()) {
-			$user_url_p = '<a href="user.php?id=%1$s">%1$s</a>';
+			$user_url_p = '<a href="'.$core->adminurl->get("admin.user",array('id' => '%1$s')).'">%1$s</a>';
 		} else {
 			$user_url_p = '%1$s';
@@ -719,5 +719,5 @@
 					'<form action="users_actions.php" method="post">'.
 					'<p class="change-user-perm"><input type="submit" class="reset" value="'.__('Change permissions').'" />'.
-					form::hidden(array('redir'),'blog_pref.php?id='.$k).
+					form::hidden(array('redir'),$core->adminurl->get("admin.blog.pref",array('id' => $k))).
 					form::hidden(array('action'),'perms').
 					form::hidden(array('users[]'),$k).
Index: admin/blogs.php
===================================================================
--- admin/blogs.php	(revision 2566)
+++ admin/blogs.php	(revision 2720)
@@ -99,9 +99,9 @@
 {
 	if ($core->auth->isSuperAdmin()) {
-		echo '<p class="top-add"><a class="button add" href="blog.php">'.__('Create a new blog').'</a></p>';
+		echo '<p class="top-add"><a class="button add" href="'.$core->adminurl->get("admin.blog").'">'.__('Create a new blog').'</a></p>';
 	}
 
 	echo
-	'<form action="blogs.php" method="get" id="filters-form">'.
+	'<form action="'.$core->adminurl->get("admin.blogs").'" method="get" id="filters-form">'.
 	'<h3 class="hidden">'.__('Filter blogs list').'</h3>'.
 
@@ -183,5 +183,5 @@
 	if ($GLOBALS['core']->auth->isSuperAdmin()) {
 		$edit_link =
-		'<a href="blog.php?id='.$blog_id.'"  title="'.sprintf(__('Edit blog settings for %s'),$blog_id).'">'.
+		'<a href="'.$core->adminurl->get("admin.blog",array('id' => $blog_id)).'"  title="'.sprintf(__('Edit blog settings for %s'),$blog_id).'">'.
 		'<img src="images/edit-mini.png" alt="'.__('Edit blog settings').'" /> '.$blog_id.'</a> ';
 	} else {
@@ -198,5 +198,5 @@
 	'<tr class="line">'.
 	'<td class="nowrap">'.$edit_link.'</td>'.
-	'<td class="maximal"><a href="index.php?switchblog='.$rs->blog_id.'" '.
+	'<td class="maximal"><a href="'.$core->adminurl->get("admin.home",array('switchblog' => $rs->blog_id)).'" '.
 	'title="'.sprintf(__('Switch to blog %s'),$rs->blog_id).'">'.
 	html::escapeHTML($rs->blog_name).'</a></td>'.
Index: admin/categories.php
===================================================================
--- admin/categories.php	(revision 2710)
+++ admin/categories.php	(revision 2720)
@@ -24,5 +24,5 @@
 	if ($c->isEmpty()) {
 		dcPage::addErrorNotice(__('This category does not exist.'));
-		http::redirect('categories.php');
+		http::redirect($core->adminurl->get("admin.categories"));
 	}
 	$name = $c->cat_title;
@@ -33,5 +33,5 @@
 		$core->blog->delCategory($cat_id);
 		dcPage::addSuccessNotice(sprintf(__('The category "%s" has been successfully deleted.'),html::escapeHTML($name)));
-		http::redirect('categories.php');
+		http::redirect($core->adminurl->get("admin.categories"));
 	} catch (Exception $e) {
 		$core->error->add($e->getMessage());
@@ -62,5 +62,5 @@
 		dcPage::addSuccessNotice(sprintf(__('The entries have been successfully moved to category "%s"'),
 			html::escapeHTML($name)));
-		http::redirect('categories.php');
+		http::redirect($core->adminurl->get("admin.categories"));
 	} catch (Exception $e) {
 		$core->error->add($e->getMessage());
@@ -79,5 +79,5 @@
 
 	dcPage::addSuccessNotice(__('Categories have been successfully reordered.'));
-	http::redirect('categories.php');
+	http::redirect($core->adminurl->get("admin.categories"));
 }
 
@@ -89,5 +89,5 @@
 		$core->blog->resetCategoriesOrder();
 		dcPage::addSuccessNotice(__('Categories order has been successfully reset.'));
-		http::redirect('categories.php');
+		http::redirect($core->adminurl->get("admin.categories"));
 	}
 	catch (Exception $e)
@@ -135,5 +135,5 @@
 
 echo
-'<p class="top-add"><a class="button add" href="category.php">'.__('New category').'</a></p>';
+'<p class="top-add"><a class="button add" href="'.$core->adminurl->get("admin.category").'">'.__('New category').'</a></p>';
 
 echo
@@ -146,5 +146,5 @@
 {
 	echo
-	'<form action="categories.php" method="post" id="form-categories">'.
+	'<form action="'.$core->adminurl->get("admin.categories").'" method="post" id="form-categories">'.
 	'<div id="categories">';
 
@@ -165,6 +165,8 @@
 
 		echo
-		'<p class="cat-title"><label class="classic" for="cat_'.$rs->cat_id.'"><a href="category.php?id='.$rs->cat_id.'">'.html::escapeHTML($rs->cat_title).'</a></label> </p>'.
-		'<p class="cat-nb-posts">(<a href="posts.php?cat_id='.$rs->cat_id.'">'.
+		'<p class="cat-title"><label class="classic" for="cat_'.$rs->cat_id.'"><a href="'.
+		$core->adminurl->get("admin.category",array('id' => $rs->cat_id)).'">'.html::escapeHTML($rs->cat_title).
+		'</a></label> </p>'.
+		'<p class="cat-nb-posts">(<a href="'.$core->adminurl->get("admin.posts",array('cat_id' => $rs->cat_id)).'">'.
 		sprintf(($rs->nb_post > 1 ? __('%d entries') : __('%d entry') ),$rs->nb_post).'</a>'.
 		', '.__('total:').' '.$rs->nb_total.')</p>'.
Index: admin/category.php
===================================================================
--- admin/category.php	(revision 2614)
+++ admin/category.php	(revision 2720)
@@ -85,5 +85,5 @@
 			$core->blog->setCategoryParent($cat_id,$new_parent);
 			dcPage::addSuccessNotice(__('The category has been successfully moved'));
-			http::redirect('categories.php');
+			http::redirect($core->adminurl->get("admin.categories"));
 		} catch (Exception $e) {
 			$core->error->add($e->getMessage());
@@ -98,5 +98,5 @@
 		$core->blog->setCategoryPosition($cat_id,(integer) $_POST['cat_sibling'],$_POST['cat_move']);
 		dcPage::addSuccessNotice(__('The category has been successfully moved'));
-		http::redirect('categories.php');
+		http::redirect($core->adminurl->get("admin.categories"));
 	} catch (Exception $e) {
 		$core->error->add($e->getMessage());
@@ -136,5 +136,5 @@
 			dcPage::addSuccessNotice(__('The category has been successfully updated.'));
 
-			http::redirect('category.php?id='.$_POST['id']);
+			http::redirect($core->adminurl->get("admin.category",array('id' => $_POST['id'])));
 		}
 		# Create category
@@ -151,5 +151,5 @@
 			dcPage::addSuccessNotice(sprintf(__('The category "%s" has been successfully created.'),
 				html::escapeHTML($cur->cat_title)));
-			http::redirect('categories.php');
+			http::redirect($core->adminurl->get("admin.categories"));
 		}
 	}
@@ -165,9 +165,9 @@
 $elements = array(
 	html::escapeHTML($core->blog->name) => '',
-	__('Categories') => 'categories.php'
+	__('Categories') => $core->adminurl->get("admin.categories")
 	);
 if ($cat_id) {
 	while($parents->fetch()) {
-		$elements[html::escapeHTML($parents->cat_title)] = 'category.php?id='.$parents->cat_id;
+		$elements[html::escapeHTML($parents->cat_title)] = $core->adminurl->get("admin.category",array('id'=> $parents->cat_id));
 	}
 }
@@ -186,5 +186,5 @@
 
 echo
-'<form action="category.php" method="post" id="category-form">'.
+'<form action="'.$core->adminurl->get("admin.category").'" method="post" id="category-form">'.
 '<h3>'.__('Category information').'</h3>'.
 '<p><label class="required" for="cat_title"><abbr title="'.__('Required field').'">*</abbr> '.__('Name:').'</label> '.
@@ -232,5 +232,5 @@
 	'<div class="col">'.
 
-	'<form action="category.php" method="post" class="fieldset">'.
+	'<form action="'.$core->adminurl->get("admin.category").'" method="post" class="fieldset">'.
 	'<h4>'.__('Category parent').'</h4>'.
 	'<p><label for="cat_parent" class="classic">'.__('Parent:').'</label> '.
@@ -244,5 +244,5 @@
 		echo
 		'<div class="col">'.
-		'<form action="category.php" method="post" class="fieldset">'.
+		'<form action="'.$core->adminurl->get("admin.category").'" method="post" class="fieldset">'.
 		'<h4>'.__('Category sibling').'</h4>'.
 		'<p><label class="classic" for="cat_sibling">'.__('Move current category').'</label> '.
Index: admin/comment.php
===================================================================
--- admin/comment.php	(revision 2666)
+++ admin/comment.php	(revision 2720)
@@ -133,5 +133,5 @@
 
 			dcPage::addSuccessNotice(__('Comment has been successfully updated.'));
-			http::redirect('comment.php?id='.$comment_id);
+			http::redirect($core->adminurl->get("admin.comment",array('id' => $comment_id)));
 		}
 		catch (Exception $e)
@@ -205,9 +205,9 @@
 
 	echo
-	'<form action="comment.php" method="post" id="comment-form">'.
+	'<form action="'.$core->adminurl->get("admin.comment").'" method="post" id="comment-form">'.
 	'<div class="fieldset">'.
 	'<h3>'.__('Information collected').'</h3>'.
 	'<p>'.__('IP address:').' '.
-	'<a href="comments.php?ip='.$comment_ip.'">'.$comment_ip.'</a></p>'.
+	'<a href="'.$core->adminurl->get("admin.comments",array('ip' => $comment_ip)).'">'.$comment_ip.'</a></p>'.
 
 	'<p>'.__('Date:').' '.
Index: admin/comments.php
===================================================================
--- admin/comments.php	(revision 2566)
+++ admin/comments.php	(revision 2720)
@@ -20,5 +20,5 @@
 		$core->blog->delJunkComments();
 		$_SESSION['comments_del_spam'] = true;
-		http::redirect('comments.php');
+		http::redirect($core->adminurl->get("admin.comments"));
 	} catch (Exception $e) {
 		$core->error->add($e->getMessage());
@@ -136,5 +136,5 @@
 }
 
-$comments_actions_page = new dcCommentsActionsPage($core,'comments.php');
+$comments_actions_page = new dcCommentsActionsPage($core,$core->adminurl->get("admin.comments"));
 
 if ($comments_actions_page->process()) {
@@ -191,13 +191,13 @@
 
 		echo
-			'<form action="comments.php" method="post" class="fieldset">';
+			'<form action="'.$core->adminurl->get("admin.comments").'" method="post" class="fieldset">';
 
 		if (!$with_spam || ($status != -2)) {
 			if ($spam_count == 1) {
 				echo '<p>'.sprintf(__('You have one spam comment.'),'<strong>'.$spam_count.'</strong>').' '.
-				'<a href="comments.php?status=-2">'.__('Show it.').'</a>.</p>';
+				'<a href="'.$core->adminurl->get("admin.comments",array('status' => -2)).'">'.__('Show it.').'</a>.</p>';
 			} elseif ($spam_count > 1) {
 				echo '<p>'.sprintf(__('You have %s spam comments.'),'<strong>'.$spam_count.'</strong>').' '.
-				'<a href="comments.php?status=-2">'.__('Show them.').'</a>.</p>';
+				'<a href="'.$core->adminurl->get("admin.comments",array('status' => -2)).'">'.__('Show them.').'</a>.</p>';
 			}
 		}
@@ -215,5 +215,5 @@
 
 	echo
-	'<form action="comments.php" method="get" id="filters-form">'.
+	'<form action="'.$core->adminurl->get("admin.comments").'" method="get" id="filters-form">'.
 	'<h3 class="hidden">'.__('Filter comments and trackbacks list').'</h3>'.
 	'<div class="table">'.
@@ -252,5 +252,5 @@
 	# Show comments
 	$comment_list->display($page,$nb_per_page,
-	'<form action="comments.php" method="post" id="form-comments">'.
+	'<form action="'.$core->adminurl->get("admin.comments").'" method="post" id="form-comments">'.
 
 	'%s'.
Index: admin/comments_actions.php
===================================================================
--- admin/comments_actions.php	(revision 2566)
+++ admin/comments_actions.php	(revision 2720)
@@ -24,5 +24,5 @@
 	$args['redir'] = $_REQUEST['redir'];
 } else {
-	$uri = 'comments.php';
+	$uri = $core->adminurl->get("admin.comments");
 	$args=array();
 }
Index: admin/help.php
===================================================================
--- admin/help.php	(revision 2566)
+++ admin/help.php	(revision 2720)
@@ -76,5 +76,5 @@
 	$breadcrumb = dcPage::breadcrumb(
 		array(
-			__('Global help') => 'help.php',
+			__('Global help') => $core->adminurl->get("admin.help"),
 			$content_array['title'] => ''
 		));
Index: admin/index.php
===================================================================
--- admin/index.php	(revision 2708)
+++ admin/index.php	(revision 2720)
@@ -21,5 +21,5 @@
 	try {
 		$core->setUserDefaultBlog($core->auth->userID(),$core->blog->id);
-		http::redirect('index.php');
+		http::redirect($core->adminurl->get("admin.home"));
 	} catch (Exception $e) {
 		$core->error->add($e->getMessage());
@@ -36,5 +36,5 @@
 		setcookie('dc_admin',false,-600,'','',DC_ADMIN_SSL);
 	}
-	http::redirect('auth.php');
+	http::redirect($core->adminurl->get("admin.auth"));
 	exit;
 }
@@ -193,6 +193,6 @@
 		echo
 		'<div class="dc-update"><h3>'.sprintf(__('Dotclear %s is available!'),$new_v).'</h3> '.
-		'<p><a class="button submit" href="update.php">'.sprintf(__('Upgrade now'),$new_v).'</a> '.
-		'<a class="button" href="update.php?hide_msg=1">'.__('Remind me later').'</a>'.
+		'<p><a class="button submit" href="'.$core->adminurl->get("admin.update").'">'.sprintf(__('Upgrade now'),$new_v).'</a> '.
+		'<a class="button" href="'.$core->adminurl->get("admin.update", array('hide_msg' => 1)).'">'.__('Remind me later').'</a>'.
 		($version_info ? ' </p>'.
 		'<p class="updt-info"><a href="'.$version_info.'">'.__('Information about this version').'</a>' : '').'</p>'.
@@ -203,5 +203,5 @@
 if ($core->auth->getInfo('user_default_blog') != $core->blog->id && $core->auth->getBlogCount() > 1) {
 	echo
-	'<p><a href="index.php?default_blog=1" class="button">'.__('Make this blog my default blog').'</a></p>';
+	'<p><a href="'.$core->adminurl->get("admin.home",array('default_blog' => 1)).'" class="button">'.__('Make this blog my default blog').'</a></p>';
 }
 
Index: admin/langs.php
===================================================================
--- admin/langs.php	(revision 2594)
+++ admin/langs.php	(revision 2720)
@@ -50,5 +50,5 @@
 
 		dcPage::addSuccessNotice(__('Language has been successfully deleted.'));
-		http::redirect('langs.php');
+		http::redirect($core->adminurl->get("admin.langs"));
 	}
 	catch (Exception $e)
@@ -93,5 +93,5 @@
 			dcPage::addSuccessNotice(__('Language has been successfully installed.'));
 		}
-		http::redirect('langs.php');
+		http::redirect($core->adminurl->get("admin.langs"));
 	}
 	catch (Exception $e)
@@ -129,5 +129,5 @@
 			dcPage::addSuccessNotice(__('Language has been successfully installed.'));
 		}
-		http::redirect('langs.php');
+		http::redirect($core->adminurl->get("admin.langs"));
 	}
 	catch (Exception $e)
@@ -161,5 +161,5 @@
 '<p>'.sprintf(__('You can change your user language in your <a href="%1$s">preferences</a> or '.
 'change your blog\'s main language in your <a href="%2$s">blog settings</a>.'),
-'preferences.php','blog_pref.php').'</p>';
+$core->adminurl->get("admin.user.preferences"),$core->adminurl->get("admin.blog.pref")).'</p>';
 
 echo
@@ -203,5 +203,5 @@
 		{
 			echo
-			'<form action="langs.php" method="post">'.
+			'<form action="'.$core->adminurl->get("admin.langs").'" method="post">'.
 			'<div>'.
 			$core->formNonce().
@@ -234,5 +234,5 @@
 
 	echo
-	'<form method="post" action="langs.php" enctype="multipart/form-data" class="fieldset">'.
+	'<form method="post" action="'.$core->adminurl->get("admin.langs").'" enctype="multipart/form-data" class="fieldset">'.
 	'<h4>'.__('Available languages').'</h4>'.
 	'<p>'.sprintf(__('You can download and install a additional language directly from Dotclear.net. '.
@@ -252,5 +252,5 @@
 	# 'Upload language pack' form
 	echo
-	'<form method="post" action="langs.php" enctype="multipart/form-data" class="fieldset">'.
+	'<form method="post" action="'.$core->adminurl->get("admin.langs").'" enctype="multipart/form-data" class="fieldset">'.
 	'<h4>'.__('Upload a zip file').'</h4>'.
 	'<p>'.__('You can install languages by uploading zip files.').'</p>'.
Index: admin/media.php
===================================================================
--- admin/media.php	(revision 2678)
+++ admin/media.php	(revision 2720)
@@ -74,5 +74,5 @@
 $popup = (integer) !empty($_GET['popup']);
 
-$page_url = 'media.php?popup='.$popup.'&post_id='.$post_id;
+$page_url = $core->adminurl->get("admin.media",array('popup' => $popup,'post_id' => $post_id));
 if (($temp = $core->callBehavior('adminMediaURL',$page_url))!='') {
 	$page_url = $temp;
@@ -377,5 +377,5 @@
 $items = array_values(array_merge($dir['dirs'],$dir['files']));
 
-$fmt_form_media = '<form action="media.php" method="post" id="form-medias">'.
+$fmt_form_media = '<form action="'.$core->adminurl->get("admin.media").'" method="post" id="form-medias">'.
 	'<div class="files-group">%s</div>'.
 	'<p class="hidden">'.$core->formNonce() . form::hidden(array('d'),$d).'</p>';
@@ -403,5 +403,5 @@
 
 	echo
-	'<form action="media.php" method="get" id="filters-form">'.
+	'<form action="'.$core->adminurl->get("admin.media").'" method="get" id="filters-form">'.
 	'<p class="two-boxes"><label for="file_sort" class="classic">'.__('Sort files:').'</label> '.
 	form::combo('file_sort',$sort_combo,$file_sort).'</p>'.
@@ -522,5 +522,5 @@
 		echo
 		'<p class="one-file form-help info">'.__('To send several files at the same time, you can activate the enhanced uploader in').
-		' <a href="preferences.php?tab=user-options">'.__('My preferences').'</a></p>';
+		' <a href="'.$core->adminurl->get("admin.user.preferences",array('tab' => 'user-options')).'">'.__('My preferences').'</a></p>';
 	}
 
@@ -555,5 +555,5 @@
 if (!$popup) {
 	echo '<div class="info"><p>'.sprintf(__('Current settings for medias and images are defined in %s'),
-	'<a href="blog_pref.php#medias-settings">'.__('Blog parameters').'</a>').'</p></div>';
+	'<a href="'.$core->adminurl->get("admin.blog.pref").'#medias-settings">'.__('Blog parameters').'</a>').'</p></div>';
 }
 
@@ -578,5 +578,5 @@
 		}
 	} else {
-		$link = 'media_item.php?id='.$f->media_id.'&amp;popup='.$popup.'&amp;post_id='.$post_id;
+		$link = $core->adminurl->get("admin.media.item", array('id' => $f->media_id,'popup' => $popup,'post_id' => $post_id));
         if (($temp = $core->callBehavior('adminMediaURL',$link))!='') {
             $link = $temp;
@@ -608,6 +608,7 @@
 	if ($post_id && !$f->d) {
 		$act .=
-		'<a class="attach-media" title="'.__('Attach this file to entry').'" href="post_media.php?media_id='.$f->media_id.
-		'&amp;post_id='.$post_id.'&amp;attach=1">'.
+		'<a class="attach-media" title="'.__('Attach this file to entry').'" href="'.
+		$core->adminurl->get("admin.post.media", array('media_id' => $f->media_id, 'post_id' => $post_id,'attach' => 1)).
+		'">'.
 		'<img src="images/plus.png" alt="'.__('Attach this file to entry').'"/>'.
 		'</a>';
@@ -633,5 +634,5 @@
 
 	if ($f->type == 'audio/mpeg3') {
-		$lst .= '<li>'.dcMedia::mp3player($f->file_url,'index.php?pf=player_mp3.swf').'</li>';
+		$lst .= '<li>'.dcMedia::mp3player($f->file_url,$core->adminurl->get("admin.home",array('pf' => 'player_mp3.swf'))).'</li>';
 	}
 
Index: admin/media_item.php
===================================================================
--- admin/media_item.php	(revision 2614)
+++ admin/media_item.php	(revision 2720)
@@ -29,6 +29,6 @@
 $file = null;
 $popup = (integer) !empty($_GET['popup']);
-$page_url = 'media_item.php?popup='.$popup.'&post_id='.$post_id;
-$media_page_url = 'media.php?popup='.$popup.'&post_id='.$post_id;
+$page_url = $core->adminurl->get("admin.media.item",array('popup' => $popup,'post_id' => $post_id));
+$media_page_url = $core->adminurl->get("admin.media",array('popup' => $popup,'post_id' => $post_id));
 
 $id = !empty($_REQUEST['id']) ? (integer) $_REQUEST['id'] : '';
@@ -469,10 +469,10 @@
 if ($file->type == 'audio/mpeg3')
 {
-	echo dcMedia::mp3player($file->file_url,'index.php?pf=player_mp3.swf');
+	echo dcMedia::mp3player($file->file_url,$core->adminurl->get("admin.home",array('pf' => 'player_mp3.swf'));
 }
 
 if ($file->type == 'video/x-flv' || $file->type == 'video/mp4' || $file->type == 'video/x-m4v')
 {
-	echo dcMedia::flvplayer($file->file_url,'index.php?pf=player_flv.swf');
+	echo dcMedia::flvplayer($file->file_url,$core->adminurl->get("admin.home",array('pf' => 'player_flv.swf'));
 }
 
Index: admin/post.php
===================================================================
--- admin/post.php	(revision 2719)
+++ admin/post.php	(revision 2720)
@@ -80,7 +80,7 @@
 
 if (count($formaters_combo)==0 || !$core->auth->getOption('editor') || $core->auth->getOption('editor')=='') {
-	dcPage::addNotice("message", 
-					  sprintf(__('Choose an active editor in %s.'), 
-								  '<a href="preferences.php#user-options">'.__('your preferences').'</a>'
+	dcPage::addNotice("message",
+					  sprintf(__('Choose an active editor in %s.'),
+								  '<a href="'.$core->adminurl->get("admin.user.preferences").'#user-options">'.__('your preferences').'</a>'
 								  )
 					  );
@@ -250,5 +250,5 @@
 		$core->callBehavior('adminBeforePostDelete',$post_id);
 		$core->blog->delPost($post_id);
-		http::redirect('posts.php');
+		http::redirect($core->adminurl->get("admin.posts"));
 	} catch (Exception $e) {
 		$core->error->add($e->getMessage());
@@ -382,5 +382,5 @@
 
 $admin_post_behavior = '';
-if (($core->auth->getOption('editor')==$post_editor) 
+if (($core->auth->getOption('editor')==$post_editor)
     && in_array($post_format, $core->getFormaters($core->auth->getOption('editor')))) {
     $admin_post_behavior = $core->callBehavior('adminPostEditor');
@@ -401,5 +401,5 @@
 		array(
 			html::escapeHTML($core->blog->name) => '',
-			__('Entries') => 'posts.php',
+			__('Entries') => $core->adminurl->get("admin.posts"),
 			($post_id ? $page_title_edit : $page_title) => ''
 		))
@@ -464,6 +464,6 @@
         $post_format_field = form::combo('post_format',$formaters_combo,"$post_editor:$post_format",'maximal');
 	} else {
-		$post_format_field = sprintf(__('Choose an active editor in %s.'), 
-		'<a href="preferences.php#user-options">'.__('your preferences').'</a>'
+		$post_format_field = sprintf(__('Choose an active editor in %s.'),
+		'<a href="'.$core->adminurl->get("admin.user.preferences").'#user-options">'.__('your preferences').'</a>'
 		);
 		$post_format_field .= form::hidden('post_format','xhtml');
@@ -616,5 +616,5 @@
 	} else {
 		echo
-		'<a id="post-cancel" href="index.php" class="button" accesskey="c">'.__('Cancel').' (c)</a>';
+		'<a id="post-cancel" href="'.$core->adminurl->get("admin.home").'" class="button" accesskey="c">'.__('Cancel').' (c)</a>';
 	}
 
@@ -699,5 +699,5 @@
 	'<h3>'.__('Add a comment').'</h3>'.
 
-	'<form action="comment.php" method="post" id="comment-form">'.
+	'<form action="'.$core->adminurl->get("admin.comment").'" method="post" id="comment-form">'.
 	'<div class="constrained">'.
 	'<p><label for="comment_author" class="required"><abbr title="'.__('Required field').'">*</abbr> '.__('Name:').'</label>'.
@@ -751,5 +751,5 @@
 	# tracbacks actions
 	if ($has_action) {
-		echo '<form action="post.php" id="form-trackbacks" method="post">';
+		echo '<form action="'.$core->adminurl->get("admin.post").'" id="form-trackbacks" method="post">';
 	}
 
@@ -785,5 +785,5 @@
 		echo
 		'<h3>'.__('Ping blogs').'</h3>'.
-		'<form action="post.php?id='.$post_id.'" id="trackback-form" method="post">'.
+		'<form action="'.$core->adminurl->get("admin.post",array('id' => $post_id)).'" id="trackback-form" method="post">'.
 		'<p><label for="tb_urls" class="area">'.__('URLs to ping:').'</label>'.
 		form::textarea('tb_urls', 60, 5, $tb_urls).
@@ -798,5 +798,5 @@
 		(empty($_GET['tb_auto']) ?
 			'&nbsp;&nbsp;<a class="button" href="'.
-			'post.php?id='.$post_id.'&amp;tb_auto=1&amp;tb=1'.
+			$core->adminurl->get("admin.post",array('id'=> $post_id,'tb_auto' => 1,'tb' => 1)).
 			'">'.__('Auto discover ping URLs').'</a>'
 		: '').
@@ -868,5 +868,5 @@
 	while($rs->fetch())
 	{
-		$comment_url = 'comment.php?id='.$rs->comment_id;
+		$comment_url = $core->adminurl->get("admin.comment",array('id' => $rs->comment_id));
 
 		$img = '<img alt="%1$s" title="%1$s" src="images/%2$s" />';
@@ -894,5 +894,5 @@
 		'<td class="maximal">'.html::escapeHTML($rs->comment_author).'</td>'.
 		'<td class="nowrap">'.dt::dt2str(__('%Y-%m-%d %H:%M'),$rs->comment_dt).'</td>'.
-		'<td class="nowrap"><a href="comments.php?ip='.$rs->comment_ip.'">'.$rs->comment_ip.'</a></td>'.
+		'<td class="nowrap"><a href="'.$core->adminurl->get("admin.comments",array('ip' => $rs->comment_ip)).'">'.$rs->comment_ip.'</a></td>'.
 		'<td class="nowrap status">'.$img_status.'</td>'.
 		'<td class="nowrap status"><a href="'.$comment_url.'">'.
Index: admin/post_media.php
===================================================================
--- admin/post_media.php	(revision 2566)
+++ admin/post_media.php	(revision 2720)
@@ -72,5 +72,5 @@
 
 		echo
-		'<form action="post_media.php" method="post">'.
+		'<form action="'.$core->adminurl->get("admin.post.media").'" method="post">'.
 		'<p>'.__('Are you sure you want to remove this attachment?').'</p>'.
 		'<p><input type="submit" class="reset" value="'.__('Cancel').'" /> '.
Index: admin/posts.php
===================================================================
--- admin/posts.php	(revision 2566)
+++ admin/posts.php	(revision 2720)
@@ -112,5 +112,5 @@
 # Actions combo box
 
-$posts_actions_page = new dcPostsActionsPage($core,'posts.php');
+$posts_actions_page = new dcPostsActionsPage($core,$core->adminurl->get("admin.posts"));
 
 if ($posts_actions_page->process()) {
@@ -258,6 +258,6 @@
 {
 	echo
-	'<p class="top-add"><a class="button add" href="post.php">'.__('New entry').'</a></p>'.
-	'<form action="posts.php" method="get" id="filters-form">'.
+	'<p class="top-add"><a class="button add" href="'.$core->adminurl->get("admin.post").'">'.__('New entry').'</a></p>'.
+	'<form action="'.$core->adminurl->get("admin.posts").'" method="get" id="filters-form">'.
 	'<h3 class="out-of-screen-if-js">'.$form_filter_title.'</h3>'.
 
@@ -302,5 +302,5 @@
 	# Show posts
 	$post_list->display($page,$nb_per_page,
-	'<form action="posts.php" method="post" id="form-entries">'.
+	'<form action="'.$core->adminurl->get("admin.posts").'" method="post" id="form-entries">'.
 
 	'%s'.
Index: admin/posts_actions.php
===================================================================
--- admin/posts_actions.php	(revision 2566)
+++ admin/posts_actions.php	(revision 2720)
@@ -26,5 +26,5 @@
 	$args['redir'] = $_REQUEST['redir'];
 } else {
-	$uri = 'posts.php';
+	$uri = $core->adminurl->get("admin.posts");
 	$args=array();
 }
Index: admin/preferences.php
===================================================================
--- admin/preferences.php	(revision 2694)
+++ admin/preferences.php	(revision 2720)
@@ -141,5 +141,5 @@
 		dcPage::addSuccessNotice(__('Personal information has been successfully updated.'));
 
-		http::redirect('preferences.php');
+		http::redirect($core->adminurl->get("admin.user.preferences"));
 	}
 	catch (Exception $e)
@@ -195,5 +195,5 @@
 
 		dcPage::addSuccessNotice(__('Personal options has been successfully updated.'));
-		http::redirect('preferences.php#user-options');
+		http::redirect($core->adminurl->get("admin.user.preferences").'#user-options');
 	}
 	catch (Exception $e)
@@ -221,5 +221,5 @@
 
 		dcPage::addSuccessNotice(__('Dashboard options has been successfully updated.'));
-		http::redirect('preferences.php#user-favorites');
+		http::redirect($core->adminurl->get("admin.user.preferences").'#user-favorites');
 	}
 	catch (Exception $e)
@@ -247,5 +247,5 @@
 		if (!$core->error->flag()) {
 			dcPage::addSuccessNotice(__('Favorites have been successfully added.'));
-			http::redirect('preferences.php#user-favorites');
+			http::redirect($core->adminurl->get("admin.user.preferences").'#user-favorites');
 		}
 	} catch (Exception $e) {
@@ -274,5 +274,5 @@
 		if (!$core->error->flag()) {
 			dcPage::addSuccessNotice(__('Favorites have been successfully removed.'));
-			http::redirect('preferences.php#user-favorites');
+			http::redirect($core->adminurl->get("admin.user.preferences").'#user-favorites');
 		}
 	} catch (Exception $e) {
@@ -301,5 +301,5 @@
 	if (!$core->error->flag()) {
 		dcPage::addSuccessNotice(__('Favorites have been successfully updated.'));
-		http::redirect('preferences.php#user-favorites');
+		http::redirect($core->adminurl->get("admin.user.preferences").'#user-favorites');
 	}
 }
@@ -312,5 +312,5 @@
 	if (!$core->error->flag()) {
 		dcPage::addSuccessNotice(__('Default favorites have been successfully updated.'));
-		http::redirect('preferences.php#user-favorites');
+		http::redirect($core->adminurl->get("admin.user.preferences").'#user-favorites');
 	}
 }
@@ -377,5 +377,5 @@
 echo
 '<h3>'.__('My profile').'</h3>'.
-'<form action="preferences.php" method="post" id="user-form">'.
+'<form action="'.$core->adminurl->get("admin.user.preferences").'" method="post" id="user-form">'.
 
 '<p><label for="user_name">'.__('Last Name:').'</label>'.
@@ -437,5 +437,5 @@
 
 echo
-'<form action="preferences.php#user-options" method="post" id="opts-forms">'.
+'<form action="'.$core->adminurl->get("admin.user.preferences").'#user-options" method="post" id="opts-forms">'.
 '<h3>'.__('My options').'</h3>';
 
@@ -510,5 +510,5 @@
 echo '<h3>'.__('My dashboard').'</h3>';
 
-echo '<form action="preferences.php" method="post" id="favs-form" class="two-boxes odd">';
+echo '<form action="'.$core->adminurl->get("admin.user.preferences").'" method="post" id="favs-form" class="two-boxes odd">';
 
 echo '<div id="my-favs" class="fieldset"><h4>'.__('My favorites').'</h4>';
@@ -602,5 +602,5 @@
 
 echo
-'<form action="preferences.php" method="post" id="db-forms" class="two-boxes even">'.
+'<form action="'.$core->adminurl->get("admin.user.preferences").'" method="post" id="db-forms" class="two-boxes even">'.
 
 '<div class="fieldset">'.
Index: admin/search.php
===================================================================
--- admin/search.php	(revision 2566)
+++ admin/search.php	(revision 2720)
@@ -70,5 +70,5 @@
 
 if ($qtype == 'p') {
-	$posts_actions_page = new dcPostsActionsPage($core,'search.php',array('q'=>$q,'qtype'=>$qtype));
+	$posts_actions_page = new dcPostsActionsPage($core,$core->adminurl->get("admin.search"),array('q'=>$q,'qtype'=>$qtype));
 
 	if ($posts_actions_page->process()) {
@@ -76,5 +76,5 @@
 	}
 } else {
-	$comments_actions_page = new dcCommentsActionsPage($core,'search.php',array('q'=>$q,'qtype'=>$qtype));
+	$comments_actions_page = new dcCommentsActionsPage($core,$core->adminurl->get("admin.search"),array('q'=>$q,'qtype'=>$qtype));
 
 	if ($comments_actions_page->process()) {
@@ -92,5 +92,5 @@
 
 echo
-'<form action="search.php" method="get">'.
+'<form action="'.$core->adminurl->get("admin.search").'" method="get">'.
 '<div class="fieldset"><h3>'.__('Search options').'</h3>'.
 '<p><label for="q">'.__('Query:').' </label>'.form::field('q',30,255,html::escapeHTML($q)).'</p>'.
@@ -116,5 +116,5 @@
 
 		$post_list->display($page,$nb_per_page,
-		'<form action="search.php" method="post" id="form-entries">'.
+		'<form action="'.$core->adminurl->get("admin.search").'" method="post" id="form-entries">'.
 
 		'%s'.
@@ -144,5 +144,5 @@
 
 		$comment_list->display($page,$nb_per_page,
-		'<form action="search.php" method="post" id="form-comments">'.
+		'<form action="'.$core->adminurl->get("admin.search").'" method="post" id="form-comments">'.
 
 		'%s'.
Index: admin/user.php
===================================================================
--- admin/user.php	(revision 2566)
+++ admin/user.php	(revision 2720)
@@ -131,5 +131,5 @@
 
 			dcPage::addSuccessNotice(__('User has been successfully updated.'));
-			http::redirect('user.php?id='.$new_id);
+			http::redirect($core->adminurl->get("admin.user",array('id' => $new_id)));
 		}
 		# Add user
@@ -150,7 +150,7 @@
 			dcPage::addSuccessNotice(__('User has been successfully created.'));
 			if (!empty($_POST['saveplus'])) {
-				http::redirect('user.php');
+				http::redirect($core->adminurl->get("admin.user"));
 			} else {
-				http::redirect('user.php?id='.$new_id);
+				http::redirect($core->adminurl->get("admin.user",array('id' => $new_id)));
 			}
 		}
@@ -187,5 +187,5 @@
 		array(
 			__('System') => '',
-			__('Users') => 'users.php',
+			__('Users') => $core->adminurl->get("admin.users"),
 			$page_title => ''
 		))
@@ -201,5 +201,5 @@
 
 echo
-'<form action="user.php" method="post" id="user-form">'.
+'<form action="'.$core->adminurl->get("admin.user").'" method="post" id="user-form">'.
 '<div class="two-cols">'.
 
@@ -324,7 +324,7 @@
 	{
 		echo
-		'<form action="users_actions.php" method="post">'.
+		'<form action="'.$core->adminurl->get("admin.user.actions").'" method="post">'.
 		'<p><input type="submit" value="'.__('Add new permissions').'" />'.
-		form::hidden(array('redir'),'user.php?id='.$user_id).
+		form::hidden(array('redir'),$core->adminurl->get("admin.user",array('id' => $user_id))).
 		form::hidden(array('action'),'blogs').
 		form::hidden(array('users[]'),$user_id).
@@ -347,6 +347,7 @@
 				{
 					echo
-					'<form action="users_actions.php" method="post" class="perm-block">'.
-					'<p class="blog-perm">'.__('Blog:').' <a href="blog.php?id='.html::escapeHTML($k).'">'.
+					'<form action="'.$core->adminurl->get("admin.user.actions").'" method="post" class="perm-block">'.
+					'<p class="blog-perm">'.__('Blog:').' <a href="'.
+					$core->adminurl->get("admin.blog",array('id' => html::escapeHTML($k)))'">'.
 					html::escapeHTML($v['name']).'</a> ('.html::escapeHTML($k).')</p>';
 
@@ -360,5 +361,5 @@
 					'</ul>'.
 					'<p class="add-perm"><input type="submit" class="reset" value="'.__('Change permissions').'" />'.
-					form::hidden(array('redir'),'user.php?id='.$user_id).
+					form::hidden(array('redir'),$core->adminurl->get("admin.user",array('id' => $user_id))).
 					form::hidden(array('action'),'perms').
 					form::hidden(array('users[]'),$user_id).
Index: admin/users.php
===================================================================
--- admin/users.php	(revision 2566)
+++ admin/users.php	(revision 2720)
@@ -123,6 +123,6 @@
 
 	echo
-	'<p class="top-add"><strong><a class="button add" href="user.php">'.__('New user').'</a></strong></p>'.
-	'<form action="users.php" method="get" id="filters-form">'.
+	'<p class="top-add"><strong><a class="button add" href="'.$core->adminurl->get("admin.user").'">'.__('New user').'</a></strong></p>'.
+	'<form action="'.$core->adminurl->get("admin.users").'" method="get" id="filters-form">'.
 	'<h3 class="out-of-screen-if-js">'.$form_filter_title.'</h3>'.
 
@@ -151,5 +151,5 @@
 	# Show users
 	$user_list->display($page,$nb_per_page,
-	'<form action="users_actions.php" method="post" id="form-users">'.
+	'<form action="'.$core->adminurl->get("admin.user.actions").'" method="post" id="form-users">'.
 
 	'%s'.
Index: admin/users_actions.php
===================================================================
--- admin/users_actions.php	(revision 2566)
+++ admin/users_actions.php	(revision 2720)
@@ -49,10 +49,11 @@
 	else
 	{
-		$redir =
-		'users.php?q='.$_POST['q'].
-		'&sortby='.$_POST['sortby'].
-		'&order='.$_POST['order'].
-		'&page='.$_POST['page'].
-		'&nb='.$_POST['nb'];
+		$redir = $core->adminurl->get("admin.users", array(
+			'q'      => $_POST['q'],
+			'sortby' => $_POST['sortby'],
+			'order'  => $_POST['order'],
+			'page'   => $_POST['page'],
+			'nb'     => $_POST['nb']
+		));
 	}
 
@@ -137,5 +138,5 @@
 		array(
 			__('System') => '',
-			__('Users') => 'users.php',
+			__('Users') => $core->adminurl->get("admin.users"),
 			__('Permissions') => ''
 		));
@@ -144,5 +145,5 @@
 		array(
 			__('System') => '',
-			__('Users') => 'users.php',
+			__('Users') => $core->adminurl->get("admin.users"),
 			__('Actions') => ''
 		));
@@ -195,5 +196,5 @@
 
 	foreach ($users as $u) {
-		$user_list[] = '<a href="user.php?id='.$u.'">'.$u.'</a>';
+		$user_list[] = '<a href="'.$core->adminurl->get("admin.user",array('id' => $u)).'">'.$u.'</a>';
 	}
 
@@ -211,5 +212,5 @@
 	{
 		echo
-		'<form action="users_actions.php" method="post" id="form-blogs">'.
+		'<form action="'.$core->adminurl->get("admin.user.actions").'" method="post" id="form-blogs">'.
 		'<div class="table-outer clear">'.
 		'<table><tr>'.
@@ -256,5 +257,5 @@
 
 	foreach ($users as $u) {
-		$user_list[] = '<a href="user.php?id='.$u.'">'.$u.'</a>';
+		$user_list[] = '<a href="'.$core->adminurl->get("admin.user",array('id' => $u)).'">'.$u.'</a>';
 	}
 
@@ -264,9 +265,9 @@
 		implode(', ',$user_list)
 	).'</p>'.
-	'<form id="permissions-form" action="users_actions.php" method="post">';
+	'<form id="permissions-form" action="'.$core->adminurl->get("admin.user.actions").'" method="post">';
 
 	foreach ($blogs as $b)
 	{
-		echo '<h3>'.('Blog:').' <a href="blog.php?id='.html::escapeHTML($b).'">'.html::escapeHTML($b).'</a>'.
+		echo '<h3>'.('Blog:').' <a href="'.$core->adminurl->get("admin.blog",array('id' => html::escapeHTML($b))).'">'.html::escapeHTML($b).'</a>'.
 		form::hidden(array('blogs[]'),$b).'</h3>';
 		$unknown_perms = $user_perm;
Index: inc/admin/class.dc.favorites.php
===================================================================
--- inc/admin/class.dc.favorites.php	(revision 2566)
+++ inc/admin/class.dc.favorites.php	(revision 2720)
@@ -396,13 +396,14 @@
 {
 	public static function initDefaultFavorites($favs) {
+		$core =& $GLOBALS['core'];
 		$favs->registerMultiple(array(
 			'prefs' => array(
 				'title' => __('My preferences'),
-				'url' => 'preferences.php',
+				'url' => $core->adminurl->get("admin.user.preferences"),
 				'small-icon' => 'images/menu/user-pref.png',
 				'large-icon' => 'images/menu/user-pref-b.png'),
 			'new_post' => array(
 				'title' => __('New entry'),
-				'url' => 'post.php',
+				'url' => $core->adminurl->get("admin.post"),
 				'small-icon' => 'images/menu/edit.png',
 				'large-icon' => 'images/menu/edit-b.png',
@@ -410,5 +411,5 @@
 			'posts' => array(
 				'title' => __('Entries'),
-				'url' => 'posts.php',
+				'url' => $core->adminurl->get("admin.posts"),
 				'small-icon' => 'images/menu/entries.png',
 				'large-icon' => 'images/menu/entries-b.png',
@@ -417,5 +418,5 @@
 			'comments' => array(
 				'title' => __('Comments'),
-				'url' => 'comments.php',
+				'url' => $core->adminurl->get("admin.comments"),
 				'small-icon' => 'images/menu/comments.png',
 				'large-icon' => 'images/menu/comments-b.png',
@@ -424,5 +425,5 @@
 			'search' => array(
 				'title' => __('Search'),
-				'url' => 'search.php',
+				'url' => $core->adminurl->get("admin.search"),
 				'small-icon' => 'images/menu/search.png',
 				'large-icon' => 'images/menu/search-b.png',
@@ -430,5 +431,5 @@
 			'categories' => array(
 				'title' => __('Categories'),
-				'url' => 'categories.php',
+				'url' => $core->adminurl->get("admin.categories"),
 				'small-icon' => 'images/menu/categories.png',
 				'large-icon' => 'images/menu/categories-b.png',
@@ -436,5 +437,5 @@
 			'media' => array(
 				'title' => __('Media manager'),
-				'url' => 'media.php',
+				'url' => $core->adminurl->get("admin.media"),
 				'small-icon' => 'images/menu/media.png',
 				'large-icon' => 'images/menu/media-b.png',
@@ -442,5 +443,5 @@
 			'blog_pref' => array(
 				'title' => __('Blog settings'),
-				'url' => 'blog_pref.php',
+				'url' => $core->adminurl->get("admin.blog.pref"),
 				'small-icon' => 'images/menu/blog-pref.png',
 				'large-icon' => 'images/menu/blog-pref-b.png',
@@ -448,5 +449,5 @@
 			'blog_theme' => array(
 				'title' => __('Blog appearance'),
-				'url' => 'blog_theme.php',
+				'url' => $core->adminurl->get("admin.blog.theme"),
 				'small-icon' => 'images/menu/themes.png',
 				'large-icon' => 'images/menu/blog-theme-b.png',
@@ -454,5 +455,5 @@
 			'blogs' => array(
 				'title' => __('Blogs'),
-				'url' => 'blogs.php',
+				'url' => $core->adminurl->get("admin.blogs"),
 				'small-icon' => 'images/menu/blogs.png',
 				'large-icon' => 'images/menu/blogs-b.png',
@@ -460,20 +461,20 @@
 			'users' => array(
 				'title' => __('Users'),
-				'url' => 'users.php',
+				'url' => $core->adminurl->get("admin.users"),
 				'small-icon' => 'images/menu/users.png',
 				'large-icon' => 'images/menu/users-b.png'),
 			'plugins' => array(
 				'title' => __('Plugins management'),
-				'url' => 'plugins.php',
+				'url' => $core->adminurl->get("admin.plugins"),
 				'small-icon' => 'images/menu/plugins.png',
 				'large-icon' => 'images/menu/plugins-b.png'),
 			'langs' => array(
 				'title' => __('Languages'),
-				'url' => 'langs.php',
+				'url' => $core->adminurl->get("admin.langs"),
 				'small-icon' => 'images/menu/langs.png',
 				'large-icon' => 'images/menu/langs-b.png'),
 			'help' => array(
 				'title' => __('Global help'),
-				'url' => 'help.php',
+				'url' => $core->adminurl->get("admin.help"),
 				'small-icon' => 'images/menu/help.png',
 				'large-icon' => 'images/menu/help-b.png')
Index: inc/admin/lib.dc.page.php
===================================================================
--- inc/admin/lib.dc.page.php	(revision 2614)
+++ inc/admin/lib.dc.page.php	(revision 2720)
@@ -66,5 +66,5 @@
 
 			if ($core->auth->getBlogCount() > 20) {
-				$blog_box .= ' - <a href="blogs.php">'.__('Change blog').'</a>';
+				$blog_box .= ' - <a href="'.$core->adminurl->get("admin.blogs").'">'.__('Change blog').'</a>';
 			}
 			$blog_box .= '</p>';
@@ -137,8 +137,8 @@
 		'</ul>'."\n".
 		'<div id="header">'.
-		'<h1><a href="index.php"><span class="hidden">'.DC_VENDOR_NAME.'</span></a></h1>'."\n";
-
-		echo
-		'<form action="index.php" method="post" id="top-info-blog">'.
+		'<h1><a href="'.$core->adminurl->get("admin.home").'"><span class="hidden">'.DC_VENDOR_NAME.'</span></a></h1>'."\n";
+
+		echo
+		'<form action="'.$core->adminurl->get("admin.home").'" method="post" id="top-info-blog">'.
 		$blog_box.
 		'<p><a href="'.$core->blog->url.'" class="outgoing" title="'.__('Go to site').
@@ -146,8 +146,8 @@
 		'</p></form>'.
 		'<ul id="top-info-user">'.
-		'<li><a class="'.(preg_match('/index.php$/',$_SERVER['REQUEST_URI']) ? ' active' : '').'" href="index.php">'.__('My dashboard').'</a></li>'.
+		'<li><a class="'.(preg_match('/index.php$/',$_SERVER['REQUEST_URI']) ? ' active' : '').'" href="'.$core->adminurl->get("admin.home").'">'.__('My dashboard').'</a></li>'.
 		'<li><a class="smallscreen'.(preg_match('/preferences.php(\?.*)?$/',$_SERVER['REQUEST_URI']) ? ' active' : '').
-		'" href="preferences.php">'.__('My preferences').'</a></li>'.
-		'<li><a href="index.php?logout=1" class="logout"><span class="nomobile">'.sprintf(__('Logout %s'),$core->auth->userID()).
+		'" href="'.$core->adminurl->get("admin.user.preferences").'">'.__('My preferences').'</a></li>'.
+		'<li><a href="'.$core->adminurl->get("admin.home",array('logout' => 1)).'" class="logout"><span class="nomobile">'.sprintf(__('Logout %s'),$core->auth->userID()).
 		'</span><img src="images/logout.png" alt="" /></a></li>'.
 		'</ul>'.
@@ -255,5 +255,5 @@
 		if (!$GLOBALS['__resources']['ctxhelp']) {
 			echo
-			'<p id="help-button"><a href="help.php" class="outgoing" title="'.
+			'<p id="help-button"><a href="'.$core->adminurl->get("admin.help").'" class="outgoing" title="'.
 			__('Global help').'">'.__('Global help').'</a></p>';
 		}
@@ -267,5 +267,5 @@
 		'<div id="main-menu">'."\n".
 
-		'<form id="search-menu" action="search.php" method="get">'.
+		'<form id="search-menu" action="'.$core->adminurl->get("admin.search").'" method="get">'.
 		'<p><label for="qx" class="hidden">'.__('Search:').' </label>'.form::field('qx',30,255,'').
 		'<input type="submit" value="'.__('OK').'" /></p>'.
@@ -374,4 +374,5 @@
 	public static function breadcrumb($elements=null,$options=array())
 	{
+		global $core;
 		$with_home_link = isset($options['home_link'])?$options['home_link']:true;
 		$hl = isset($options['hl'])?$options['hl']:true;
@@ -379,5 +380,5 @@
 		// First item of array elements should be blog's name, System or Plugins
 		$res = '<h2>'.($with_home_link ?
-			'<a class="go_home" href="index.php"><img src="style/dashboard.png" alt="'.__('Go to dashboard').'" /></a>' :
+			'<a class="go_home" href="'.$core->adminurl->get("admin.home").'"><img src="style/dashboard.png" alt="'.__('Go to dashboard').'" /></a>' :
 			'<img src="style/dashboard-alt.png" alt="" />');
 		$index = 0;
@@ -473,4 +474,5 @@
 	public static function helpBlock()
 	{
+		global $core;
 		$args = func_get_args();
 
@@ -526,5 +528,5 @@
 		'<div id="helplink"><hr />'.
 		'<p>'.
-		sprintf(__('See also %s'),sprintf('<a href="help.php">%s</a>',__('the global help'))).
+		sprintf(__('See also %s'),sprintf('<a href="'.$core->adminurl->get("admin.help").'">%s</a>',__('the global help'))).
 		'.</p>'.
 		'</div></div>';
@@ -829,5 +831,5 @@
 	}
 
-	
+
 	public static function jsToolBar()
 	{
Index: inc/admin/prepend.php
===================================================================
--- inc/admin/prepend.php	(revision 2708)
+++ inc/admin/prepend.php	(revision 2720)
@@ -179,6 +179,9 @@
 $core->adminurl->register('admin.posts','posts.php');
 $core->adminurl->register('admin.post','post.php');
+$core->adminurl->register('admin.post.media','post_media.php');
 $core->adminurl->register('admin.blog.theme','blog_theme.php');
 $core->adminurl->register('admin.blog.pref','blog_pref.php');
+$core->adminurl->register('admin.blog.del','blog_del.php');
+$core->adminurl->register('admin.blog','blog.php');
 $core->adminurl->register('admin.blogs','blogs.php');
 $core->adminurl->register('admin.categories','categories.php');
@@ -190,10 +193,15 @@
 $core->adminurl->register('admin.langs','langs.php');
 $core->adminurl->register('admin.media','media.php');
-$core->adminurl->register('admin.media_item','media_item.php');
+$core->adminurl->register('admin.media.item','media_item.php');
 $core->adminurl->register('admin.plugins','plugins.php');
 $core->adminurl->register('admin.plugin','plugin.php');
+$core->adminurl->register('admin.search','search.php');
 $core->adminurl->register('admin.user.preferences','preferences.php');
 $core->adminurl->register('admin.user','user.php');
+$core->adminurl->register('admin.user.actions','user_actions.php');
 $core->adminurl->register('admin.users','users.php');
+$core->adminurl->register('admin.auth','auth.php');
+$core->adminurl->register('admin.help','help.php');
+$core->adminurl->register('admin.update','update.php');
 
 if ($core->auth->userID() && $core->blog !== null)
